Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 695022 - app-i18n/sunpinyin, app-i18n/ibus-sunpinyin, app-i18n/scim-sunpinyin, app-i18n/xsunpinyin: Versioning
Summary: app-i18n/sunpinyin, app-i18n/ibus-sunpinyin, app-i18n/scim-sunpinyin, app-i18...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Deadline: 2020-09-06
Assignee: CJK Team
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2019-09-20 02:21 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2020-09-05 02:04 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2019-09-20 02:21:12 UTC
Upstream released Sunpinyin 3.0.0-rc1 on 2016-07-08.

Somebody reported this problem on 2016-08-08:
https://github.com/sunpinyin/sunpinyin/issues/65

As explained there, version "2.0" is still used in various places.

Upstream has still not fixed versioning.
Until it is fixed, it may be better to use 2.0* version in Gentoo.
E.g. snapshot corresponding to last commit could have version 2.0.4_pre20190612 or 2.0.4_pre20190612161029 (using UTC timezone).
Comment 1 Larry the Git Cow gentoo-dev 2020-09-02 14:23:26 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13283ffdd7580d48a65387a3fe38b8e3ddea4d8b

commit 13283ffdd7580d48a65387a3fe38b8e3ddea4d8b
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
AuthorDate: 2020-09-02 01:00:00 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-09-02 14:23:07 +0000

    app-i18n/xsunpinyin: Version bump (2.0.4_pre20200306162733).
    
    Bug: https://bugs.gentoo.org/695010
    Bug: https://bugs.gentoo.org/695022
    Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 app-i18n/xsunpinyin/Manifest                       |  1 +
 .../xsunpinyin-2.0.4_pre20200306162733.ebuild      | 74 ++++++++++++++++++++++
 2 files changed, 75 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b2d7786fb3f2960c18d12f4ef4963c205436a5b

commit 6b2d7786fb3f2960c18d12f4ef4963c205436a5b
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
AuthorDate: 2020-09-02 00:00:00 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-09-02 14:23:07 +0000

    app-i18n/sunpinyin: Version bump (2.0.4_pre20200306162733).
    
    Bug: https://bugs.gentoo.org/695010
    Bug: https://bugs.gentoo.org/695022
    Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 app-i18n/sunpinyin/Manifest                        |  1 +
 .../sunpinyin-2.0.4_pre20200306162733.ebuild       | 64 ++++++++++++++++++++++
 2 files changed, 65 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f3eb0269d18eca7340d9d1b289a4da817a5a2b3

commit 5f3eb0269d18eca7340d9d1b289a4da817a5a2b3
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
AuthorDate: 2020-09-01 20:00:00 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-09-02 14:23:05 +0000

    profiles/package.mask: Mask ~app-i18n/sunpinyin-3.0.0_rc1 et al.
    
    Bug: https://bugs.gentoo.org/695022
    Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 profiles/package.mask | 9 +++++++++
 1 file changed, 9 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-09-05 02:04:27 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8db33aa98fdfe4b898c2a07f19aba69c1832d977

commit 8db33aa98fdfe4b898c2a07f19aba69c1832d977
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
AuthorDate: 2020-09-04 00:00:00 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-09-05 02:02:38 +0000

    app-i18n/ibus-sunpinyin: Version bump (2.0.4_pre20200306162733).
    
    Bug: https://bugs.gentoo.org/695010
    Bug: https://bugs.gentoo.org/695022
    Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 app-i18n/ibus-sunpinyin/Manifest                   |  1 +
 ...unpinyin-2.0.4_pre20200306162733-python-3.patch | 85 +++++++++++++++++++++
 .../ibus-sunpinyin-2.0.4_pre20200306162733.ebuild  | 89 ++++++++++++++++++++++
 app-i18n/ibus-sunpinyin/metadata.xml               |  3 +
 4 files changed, 178 insertions(+)